# vim: set ft=spec: -*- spec -*-
# $Id: lib765,v 1.1 2003/09/29 18:39:04 raorn Exp $

Name: lib765
Version: 0.3.1.1
Release: alt1

Summary: Library to emulate the uPD765a floppy controller (aka Intel 8272)
Group: System/Libraries
License: LGPL
Url: http://www.seasip.demon.co.uk/Unix/LibDsk/

Source: %name-%version.tar.gz

# Automatically added by buildreq on Mon Sep 29 2003
BuildRequires: libdsk-devel

%description
"765" is an emulation of the uPD765a (AKA Intel 8272) Floppy
Disc Controller [FDC] as used in Amstrad computers such as the
PCW, CPC and Spectrum +3. At present it is not a "full" 765;
features not used in the PCW BIOS (such as: DMA; multisector
reads/writes; multitrack mode) are either left unimplemented
or incomplete.

%package devel
Summary: Header files for developing apps which will use %name
Group: Development/C
Requires: %name = %version-%release

%description devel
"765" is an emulation of the uPD765a (AKA Intel 8272) Floppy
Disc Controller [FDC] as used in Amstrad computers such as the
PCW, CPC and Spectrum +3. At present it is not a "full" 765;
features not used in the PCW BIOS (such as: DMA; multisector
reads/writes; multitrack mode) are either left unimplemented
or incomplete.

The %name-devel package contains the include files needed to develop
programs that use the %name library.

%package  devel-static
Summary: Static library for developing apps which will use %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
"765" is an emulation of the uPD765a (AKA Intel 8272) Floppy
Disc Controller [FDC] as used in Amstrad computers such as the
PCW, CPC and Spectrum +3. At present it is not a "full" 765;
features not used in the PCW BIOS (such as: DMA; multisector
reads/writes; multitrack mode) are either left unimplemented
or incomplete.

The %name-devel-static package contains the static library needed to
develop statically linked programs that use the %name library.

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc ChangeLog doc/COPYING.LIB
%_libdir/*.so.*

%files devel
%doc doc/765.txt
%_includedir/*
%_libdir/*.la
%_libdir/*.so

%files devel-static
%_libdir/*.a

%changelog
* Mon Sep 29 2003 Sir Raorn <raorn@altlinux.ru> 0.3.1.1-alt1
- Built for Sisyphus


